* [gentoo-commits] repo/gentoo:master commit in: x11-apps/radeon-profile/
@ 2019-04-20 13:08 Lars Wendler
0 siblings, 0 replies; 11+ messages in thread
From: Lars Wendler @ 2019-04-20 13:08 UTC (permalink / raw
To: gentoo-commits
commit: 3d1a3a9433b2cbf0465f1dd458b3108e6d10ae59
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 20 13:08:13 2019 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sat Apr 20 13:08:45 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d1a3a94
x11-apps/radeon-profile: Initial commit
Closes: https://bugs.gentoo.org/503128
Package-Manager: Portage-2.3.64, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
x11-apps/radeon-profile/Manifest | 1 +
x11-apps/radeon-profile/metadata.xml | 11 ++++
.../radeon-profile/radeon-profile-20190311.ebuild | 58 ++++++++++++++++++++++
.../radeon-profile/radeon-profile-99999999.ebuild | 58 ++++++++++++++++++++++
4 files changed, 128 insertions(+)
diff --git a/x11-apps/radeon-profile/Manifest b/x11-apps/radeon-profile/Manifest
new file mode 100644
index 00000000000..9306bc955e4
--- /dev/null
+++ b/x11-apps/radeon-profile/Manifest
@@ -0,0 +1 @@
+DIST radeon-profile-20190311.tar.gz 381505 BLAKE2B e15fbf60f9b790ef81f6b86f74cdada20fe232d2d1965c35248c33bead5f47503780804f0710c8627e4a487e6f95f6688d0dc52b325c278700f9539773547729 SHA512 285ff4fd9f4376135a38009e0e531ec9d9c727840284d9cb4135e0044134a778786559b4280e329be8b78d635928feacd1c0ccc15bce15297d15e4f065460463
diff --git a/x11-apps/radeon-profile/metadata.xml b/x11-apps/radeon-profile/metadata.xml
new file mode 100644
index 00000000000..127798b95dd
--- /dev/null
+++ b/x11-apps/radeon-profile/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>polynomial-c@gentoo.org</email>
+ <name>Lars Wendler</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">marazmista/radeon-profile</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/x11-apps/radeon-profile/radeon-profile-20190311.ebuild b/x11-apps/radeon-profile/radeon-profile-20190311.ebuild
new file mode 100644
index 00000000000..9221aca4ad8
--- /dev/null
+++ b/x11-apps/radeon-profile/radeon-profile-20190311.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+# $Id: 77337142ec368ef43c179461f5ca0beb09d5cd21 $
+
+EAPI=7
+
+inherit qmake-utils
+
+DESCRIPTION="Read current clocks of ATi/AMD Radeon cards"
+HOMEPAGE="https://github.com/marazmista/radeon-profile"
+if [[ "${PV}" == 99999999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/marazmista/radeon-profile.git"
+else
+ SRC_URI="https://github.com/marazmista/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE=""
+
+S="${WORKDIR}/${P}/${PN}"
+
+RDEPEND="
+ dev-qt/qtcharts:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ x11-libs/libX11
+ x11-libs/libXrandr
+"
+
+DEPEND="
+ ${RDEPEND}
+ media-libs/mesa
+ x11-libs/libdrm
+"
+
+src_prepare() {
+ default
+ sed 's@TrayIcon;@@' -i extra/${PN}.desktop || die
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+}
+
+pkg_postinst() {
+ elog "In order to run ${PN} as non-root user, the"
+ elog " x11-apps/radeon-profile-daemon"
+ elog "package needs to be installed and the daemon must run."
+}
diff --git a/x11-apps/radeon-profile/radeon-profile-99999999.ebuild b/x11-apps/radeon-profile/radeon-profile-99999999.ebuild
new file mode 100644
index 00000000000..9221aca4ad8
--- /dev/null
+++ b/x11-apps/radeon-profile/radeon-profile-99999999.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+# $Id: 77337142ec368ef43c179461f5ca0beb09d5cd21 $
+
+EAPI=7
+
+inherit qmake-utils
+
+DESCRIPTION="Read current clocks of ATi/AMD Radeon cards"
+HOMEPAGE="https://github.com/marazmista/radeon-profile"
+if [[ "${PV}" == 99999999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/marazmista/radeon-profile.git"
+else
+ SRC_URI="https://github.com/marazmista/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE=""
+
+S="${WORKDIR}/${P}/${PN}"
+
+RDEPEND="
+ dev-qt/qtcharts:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ x11-libs/libX11
+ x11-libs/libXrandr
+"
+
+DEPEND="
+ ${RDEPEND}
+ media-libs/mesa
+ x11-libs/libdrm
+"
+
+src_prepare() {
+ default
+ sed 's@TrayIcon;@@' -i extra/${PN}.desktop || die
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+}
+
+pkg_postinst() {
+ elog "In order to run ${PN} as non-root user, the"
+ elog " x11-apps/radeon-profile-daemon"
+ elog "package needs to be installed and the daemon must run."
+}
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-apps/radeon-profile/
@ 2019-05-10 15:53 Lars Wendler
0 siblings, 0 replies; 11+ messages in thread
From: Lars Wendler @ 2019-05-10 15:53 UTC (permalink / raw
To: gentoo-commits
commit: e15eb685d0fe93c714d73dce316f08b113e8bd19
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri May 10 15:53:15 2019 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri May 10 15:53:43 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e15eb685
x11-apps/radeon-profile: Added missing dev-qt/qtconcurrent:5 dep
Thanks-to: Emmanuel Andry <eandry <AT> free.fr>
Closes: https://bugs.gentoo.org/685512
Package-Manager: Portage-2.3.66, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
x11-apps/radeon-profile/radeon-profile-20190311.ebuild | 2 +-
x11-apps/radeon-profile/radeon-profile-99999999.ebuild | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/x11-apps/radeon-profile/radeon-profile-20190311.ebuild b/x11-apps/radeon-profile/radeon-profile-20190311.ebuild
index 9221aca4ad8..de8838c90ba 100644
--- a/x11-apps/radeon-profile/radeon-profile-20190311.ebuild
+++ b/x11-apps/radeon-profile/radeon-profile-20190311.ebuild
@@ -1,6 +1,5 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-# $Id: 77337142ec368ef43c179461f5ca0beb09d5cd21 $
EAPI=7
@@ -34,6 +33,7 @@ RDEPEND="
DEPEND="
${RDEPEND}
+ dev-qt/qtconcurrent:5
media-libs/mesa
x11-libs/libdrm
"
diff --git a/x11-apps/radeon-profile/radeon-profile-99999999.ebuild b/x11-apps/radeon-profile/radeon-profile-99999999.ebuild
index 9221aca4ad8..de8838c90ba 100644
--- a/x11-apps/radeon-profile/radeon-profile-99999999.ebuild
+++ b/x11-apps/radeon-profile/radeon-profile-99999999.ebuild
@@ -1,6 +1,5 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-# $Id: 77337142ec368ef43c179461f5ca0beb09d5cd21 $
EAPI=7
@@ -34,6 +33,7 @@ RDEPEND="
DEPEND="
${RDEPEND}
+ dev-qt/qtconcurrent:5
media-libs/mesa
x11-libs/libdrm
"
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-apps/radeon-profile/
@ 2019-06-13 14:27 Lars Wendler
0 siblings, 0 replies; 11+ messages in thread
From: Lars Wendler @ 2019-06-13 14:27 UTC (permalink / raw
To: gentoo-commits
commit: efe2fffe8da9751cedeaf48563fbf702cca87281
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 13 14:27:04 2019 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Jun 13 14:27:28 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=efe2fffe
x11-apps/radeon-profile: Bump to version 20190603
Package-Manager: Portage-2.3.67, Repoman-2.3.14
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
x11-apps/radeon-profile/Manifest | 1 +
.../radeon-profile/radeon-profile-20190603.ebuild | 58 ++++++++++++++++++++++
2 files changed, 59 insertions(+)
diff --git a/x11-apps/radeon-profile/Manifest b/x11-apps/radeon-profile/Manifest
index 9306bc955e4..1f442d22f35 100644
--- a/x11-apps/radeon-profile/Manifest
+++ b/x11-apps/radeon-profile/Manifest
@@ -1 +1,2 @@
DIST radeon-profile-20190311.tar.gz 381505 BLAKE2B e15fbf60f9b790ef81f6b86f74cdada20fe232d2d1965c35248c33bead5f47503780804f0710c8627e4a487e6f95f6688d0dc52b325c278700f9539773547729 SHA512 285ff4fd9f4376135a38009e0e531ec9d9c727840284d9cb4135e0044134a778786559b4280e329be8b78d635928feacd1c0ccc15bce15297d15e4f065460463
+DIST radeon-profile-20190603.tar.gz 382652 BLAKE2B 60d22d59bcc0d91a70775579877300b6e2191187c295da2761b0be3bbac0d761e8a82a9bec958afabec652f6920439c48dedbeeb520849360f890e8205aa39ec SHA512 5def76cd69e347d3caf0ffbd6ae41982e516e72cb869b019f31316bcfaaa4487fd6ec87c7598d56e01640874f3e1d08febdb8e62362851bd6d7c3dc2f2cfb347
diff --git a/x11-apps/radeon-profile/radeon-profile-20190603.ebuild b/x11-apps/radeon-profile/radeon-profile-20190603.ebuild
new file mode 100644
index 00000000000..de8838c90ba
--- /dev/null
+++ b/x11-apps/radeon-profile/radeon-profile-20190603.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit qmake-utils
+
+DESCRIPTION="Read current clocks of ATi/AMD Radeon cards"
+HOMEPAGE="https://github.com/marazmista/radeon-profile"
+if [[ "${PV}" == 99999999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/marazmista/radeon-profile.git"
+else
+ SRC_URI="https://github.com/marazmista/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE=""
+
+S="${WORKDIR}/${P}/${PN}"
+
+RDEPEND="
+ dev-qt/qtcharts:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ x11-libs/libX11
+ x11-libs/libXrandr
+"
+
+DEPEND="
+ ${RDEPEND}
+ dev-qt/qtconcurrent:5
+ media-libs/mesa
+ x11-libs/libdrm
+"
+
+src_prepare() {
+ default
+ sed 's@TrayIcon;@@' -i extra/${PN}.desktop || die
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+}
+
+pkg_postinst() {
+ elog "In order to run ${PN} as non-root user, the"
+ elog " x11-apps/radeon-profile-daemon"
+ elog "package needs to be installed and the daemon must run."
+}
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-apps/radeon-profile/
@ 2019-10-16 10:54 Lars Wendler
0 siblings, 0 replies; 11+ messages in thread
From: Lars Wendler @ 2019-10-16 10:54 UTC (permalink / raw
To: gentoo-commits
commit: d978e2bfca4172a595039743b1ca7e7695fccf76
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 16 10:52:33 2019 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Oct 16 10:54:22 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d978e2bf
x11-apps/radeon-profile: Removed old
Package-Manager: Portage-2.3.77, Repoman-2.3.17
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
x11-apps/radeon-profile/Manifest | 1 -
.../radeon-profile/radeon-profile-20190311.ebuild | 58 ----------------------
2 files changed, 59 deletions(-)
diff --git a/x11-apps/radeon-profile/Manifest b/x11-apps/radeon-profile/Manifest
index 9a75ce68d6c..8f29b4a75a0 100644
--- a/x11-apps/radeon-profile/Manifest
+++ b/x11-apps/radeon-profile/Manifest
@@ -1,3 +1,2 @@
-DIST radeon-profile-20190311.tar.gz 381505 BLAKE2B e15fbf60f9b790ef81f6b86f74cdada20fe232d2d1965c35248c33bead5f47503780804f0710c8627e4a487e6f95f6688d0dc52b325c278700f9539773547729 SHA512 285ff4fd9f4376135a38009e0e531ec9d9c727840284d9cb4135e0044134a778786559b4280e329be8b78d635928feacd1c0ccc15bce15297d15e4f065460463
DIST radeon-profile-20190603.tar.gz 382652 BLAKE2B 60d22d59bcc0d91a70775579877300b6e2191187c295da2761b0be3bbac0d761e8a82a9bec958afabec652f6920439c48dedbeeb520849360f890e8205aa39ec SHA512 5def76cd69e347d3caf0ffbd6ae41982e516e72cb869b019f31316bcfaaa4487fd6ec87c7598d56e01640874f3e1d08febdb8e62362851bd6d7c3dc2f2cfb347
DIST radeon-profile-20190903.tar.gz 383822 BLAKE2B d6551bb8e504147104a106cd2f1b4e5115d650d70b77e89e95f1915ba2d59bcda5b0d726260f905f953596cd673d61bcc9b563ddff0147edf981bec40d5ff2e2 SHA512 8417ddb53fb31cd753c8b7adf42390220eba401e424eff6ea82b8535832ddf9e7f59cb9083d51a003f0453ebdf91a594fbadfd37da1c47b7b0e87447e1f600f3
diff --git a/x11-apps/radeon-profile/radeon-profile-20190311.ebuild b/x11-apps/radeon-profile/radeon-profile-20190311.ebuild
deleted file mode 100644
index ad6e34fec99..00000000000
--- a/x11-apps/radeon-profile/radeon-profile-20190311.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit qmake-utils
-
-DESCRIPTION="Read current clocks of ATi/AMD Radeon cards"
-HOMEPAGE="https://github.com/marazmista/radeon-profile"
-if [[ "${PV}" == 99999999 ]] ; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/marazmista/radeon-profile.git"
-else
- SRC_URI="https://github.com/marazmista/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~x86"
-fi
-LICENSE="GPL-2"
-SLOT="0"
-
-IUSE=""
-
-S="${WORKDIR}/${P}/${PN}"
-
-RDEPEND="
- dev-qt/qtcharts:5
- dev-qt/qtcore:5
- dev-qt/qtgui:5
- dev-qt/qtnetwork:5
- dev-qt/qtwidgets:5
- x11-libs/libX11
- x11-libs/libXrandr
-"
-
-DEPEND="
- ${RDEPEND}
- dev-qt/qtconcurrent:5
- media-libs/mesa[X(+)]
- x11-libs/libdrm
-"
-
-src_prepare() {
- default
- sed 's@TrayIcon;@@' -i extra/${PN}.desktop || die
-}
-
-src_configure() {
- eqmake5
-}
-
-src_install() {
- emake INSTALL_ROOT="${D}" install
-}
-
-pkg_postinst() {
- elog "In order to run ${PN} as non-root user, the"
- elog " x11-apps/radeon-profile-daemon"
- elog "package needs to be installed and the daemon must run."
-}
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-apps/radeon-profile/
@ 2019-10-16 10:54 Lars Wendler
0 siblings, 0 replies; 11+ messages in thread
From: Lars Wendler @ 2019-10-16 10:54 UTC (permalink / raw
To: gentoo-commits
commit: a3ecfaada9dcf35866e06567926dcd708142a61a
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 16 10:52:02 2019 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Oct 16 10:54:21 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a3ecfaad
x11-apps/radeon-profile: Bump to version 20190903
Package-Manager: Portage-2.3.77, Repoman-2.3.17
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
x11-apps/radeon-profile/Manifest | 1 +
.../radeon-profile/radeon-profile-20190903.ebuild | 58 ++++++++++++++++++++++
2 files changed, 59 insertions(+)
diff --git a/x11-apps/radeon-profile/Manifest b/x11-apps/radeon-profile/Manifest
index 1f442d22f35..9a75ce68d6c 100644
--- a/x11-apps/radeon-profile/Manifest
+++ b/x11-apps/radeon-profile/Manifest
@@ -1,2 +1,3 @@
DIST radeon-profile-20190311.tar.gz 381505 BLAKE2B e15fbf60f9b790ef81f6b86f74cdada20fe232d2d1965c35248c33bead5f47503780804f0710c8627e4a487e6f95f6688d0dc52b325c278700f9539773547729 SHA512 285ff4fd9f4376135a38009e0e531ec9d9c727840284d9cb4135e0044134a778786559b4280e329be8b78d635928feacd1c0ccc15bce15297d15e4f065460463
DIST radeon-profile-20190603.tar.gz 382652 BLAKE2B 60d22d59bcc0d91a70775579877300b6e2191187c295da2761b0be3bbac0d761e8a82a9bec958afabec652f6920439c48dedbeeb520849360f890e8205aa39ec SHA512 5def76cd69e347d3caf0ffbd6ae41982e516e72cb869b019f31316bcfaaa4487fd6ec87c7598d56e01640874f3e1d08febdb8e62362851bd6d7c3dc2f2cfb347
+DIST radeon-profile-20190903.tar.gz 383822 BLAKE2B d6551bb8e504147104a106cd2f1b4e5115d650d70b77e89e95f1915ba2d59bcda5b0d726260f905f953596cd673d61bcc9b563ddff0147edf981bec40d5ff2e2 SHA512 8417ddb53fb31cd753c8b7adf42390220eba401e424eff6ea82b8535832ddf9e7f59cb9083d51a003f0453ebdf91a594fbadfd37da1c47b7b0e87447e1f600f3
diff --git a/x11-apps/radeon-profile/radeon-profile-20190903.ebuild b/x11-apps/radeon-profile/radeon-profile-20190903.ebuild
new file mode 100644
index 00000000000..ad6e34fec99
--- /dev/null
+++ b/x11-apps/radeon-profile/radeon-profile-20190903.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit qmake-utils
+
+DESCRIPTION="Read current clocks of ATi/AMD Radeon cards"
+HOMEPAGE="https://github.com/marazmista/radeon-profile"
+if [[ "${PV}" == 99999999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/marazmista/radeon-profile.git"
+else
+ SRC_URI="https://github.com/marazmista/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE=""
+
+S="${WORKDIR}/${P}/${PN}"
+
+RDEPEND="
+ dev-qt/qtcharts:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ x11-libs/libX11
+ x11-libs/libXrandr
+"
+
+DEPEND="
+ ${RDEPEND}
+ dev-qt/qtconcurrent:5
+ media-libs/mesa[X(+)]
+ x11-libs/libdrm
+"
+
+src_prepare() {
+ default
+ sed 's@TrayIcon;@@' -i extra/${PN}.desktop || die
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+}
+
+pkg_postinst() {
+ elog "In order to run ${PN} as non-root user, the"
+ elog " x11-apps/radeon-profile-daemon"
+ elog "package needs to be installed and the daemon must run."
+}
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-apps/radeon-profile/
@ 2020-05-06 8:22 Lars Wendler
0 siblings, 0 replies; 11+ messages in thread
From: Lars Wendler @ 2020-05-06 8:22 UTC (permalink / raw
To: gentoo-commits
commit: 693b208a8f1cddcf9f63f4f64823172aabd5f9c5
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed May 6 08:22:21 2020 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed May 6 08:22:21 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=693b208a
x11-apps/radeon-profile: Removed old
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
x11-apps/radeon-profile/Manifest | 1 -
.../radeon-profile/radeon-profile-20190603.ebuild | 58 ----------------------
2 files changed, 59 deletions(-)
diff --git a/x11-apps/radeon-profile/Manifest b/x11-apps/radeon-profile/Manifest
index d3fefcb0424..eb21785040b 100644
--- a/x11-apps/radeon-profile/Manifest
+++ b/x11-apps/radeon-profile/Manifest
@@ -1,3 +1,2 @@
-DIST radeon-profile-20190603.tar.gz 382652 BLAKE2B 60d22d59bcc0d91a70775579877300b6e2191187c295da2761b0be3bbac0d761e8a82a9bec958afabec652f6920439c48dedbeeb520849360f890e8205aa39ec SHA512 5def76cd69e347d3caf0ffbd6ae41982e516e72cb869b019f31316bcfaaa4487fd6ec87c7598d56e01640874f3e1d08febdb8e62362851bd6d7c3dc2f2cfb347
DIST radeon-profile-20190903.tar.gz 383822 BLAKE2B d6551bb8e504147104a106cd2f1b4e5115d650d70b77e89e95f1915ba2d59bcda5b0d726260f905f953596cd673d61bcc9b563ddff0147edf981bec40d5ff2e2 SHA512 8417ddb53fb31cd753c8b7adf42390220eba401e424eff6ea82b8535832ddf9e7f59cb9083d51a003f0453ebdf91a594fbadfd37da1c47b7b0e87447e1f600f3
DIST radeon-profile-20200504.tar.gz 395674 BLAKE2B 6435dfcf9d2ce25789f429f12071cdb1c3f85050654b7fdec45c51a59d562d60369b28cfcd2854dfd5841e4af8f9166afed266e0a48d9010619972b653e0d4a8 SHA512 73f7eb59369af57aba5f067202fb1f772e48260c42ad194876926c29d278022daa86235f8d591bc763b8c6d80682553fe9a55f848137a8ec1de1bf9531c162c6
diff --git a/x11-apps/radeon-profile/radeon-profile-20190603.ebuild b/x11-apps/radeon-profile/radeon-profile-20190603.ebuild
deleted file mode 100644
index ad6e34fec99..00000000000
--- a/x11-apps/radeon-profile/radeon-profile-20190603.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit qmake-utils
-
-DESCRIPTION="Read current clocks of ATi/AMD Radeon cards"
-HOMEPAGE="https://github.com/marazmista/radeon-profile"
-if [[ "${PV}" == 99999999 ]] ; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/marazmista/radeon-profile.git"
-else
- SRC_URI="https://github.com/marazmista/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~x86"
-fi
-LICENSE="GPL-2"
-SLOT="0"
-
-IUSE=""
-
-S="${WORKDIR}/${P}/${PN}"
-
-RDEPEND="
- dev-qt/qtcharts:5
- dev-qt/qtcore:5
- dev-qt/qtgui:5
- dev-qt/qtnetwork:5
- dev-qt/qtwidgets:5
- x11-libs/libX11
- x11-libs/libXrandr
-"
-
-DEPEND="
- ${RDEPEND}
- dev-qt/qtconcurrent:5
- media-libs/mesa[X(+)]
- x11-libs/libdrm
-"
-
-src_prepare() {
- default
- sed 's@TrayIcon;@@' -i extra/${PN}.desktop || die
-}
-
-src_configure() {
- eqmake5
-}
-
-src_install() {
- emake INSTALL_ROOT="${D}" install
-}
-
-pkg_postinst() {
- elog "In order to run ${PN} as non-root user, the"
- elog " x11-apps/radeon-profile-daemon"
- elog "package needs to be installed and the daemon must run."
-}
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-apps/radeon-profile/
@ 2020-05-06 8:22 Lars Wendler
0 siblings, 0 replies; 11+ messages in thread
From: Lars Wendler @ 2020-05-06 8:22 UTC (permalink / raw
To: gentoo-commits
commit: 6d025c71c0839388d71e8bd891860b8bfa14d3fd
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed May 6 08:18:42 2020 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed May 6 08:18:42 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d025c71
x11-apps/radeon-profile: Bump to version 20200504
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
x11-apps/radeon-profile/Manifest | 1 +
.../radeon-profile/radeon-profile-20200504.ebuild | 58 ++++++++++++++++++++++
2 files changed, 59 insertions(+)
diff --git a/x11-apps/radeon-profile/Manifest b/x11-apps/radeon-profile/Manifest
index 8f29b4a75a0..d3fefcb0424 100644
--- a/x11-apps/radeon-profile/Manifest
+++ b/x11-apps/radeon-profile/Manifest
@@ -1,2 +1,3 @@
DIST radeon-profile-20190603.tar.gz 382652 BLAKE2B 60d22d59bcc0d91a70775579877300b6e2191187c295da2761b0be3bbac0d761e8a82a9bec958afabec652f6920439c48dedbeeb520849360f890e8205aa39ec SHA512 5def76cd69e347d3caf0ffbd6ae41982e516e72cb869b019f31316bcfaaa4487fd6ec87c7598d56e01640874f3e1d08febdb8e62362851bd6d7c3dc2f2cfb347
DIST radeon-profile-20190903.tar.gz 383822 BLAKE2B d6551bb8e504147104a106cd2f1b4e5115d650d70b77e89e95f1915ba2d59bcda5b0d726260f905f953596cd673d61bcc9b563ddff0147edf981bec40d5ff2e2 SHA512 8417ddb53fb31cd753c8b7adf42390220eba401e424eff6ea82b8535832ddf9e7f59cb9083d51a003f0453ebdf91a594fbadfd37da1c47b7b0e87447e1f600f3
+DIST radeon-profile-20200504.tar.gz 395674 BLAKE2B 6435dfcf9d2ce25789f429f12071cdb1c3f85050654b7fdec45c51a59d562d60369b28cfcd2854dfd5841e4af8f9166afed266e0a48d9010619972b653e0d4a8 SHA512 73f7eb59369af57aba5f067202fb1f772e48260c42ad194876926c29d278022daa86235f8d591bc763b8c6d80682553fe9a55f848137a8ec1de1bf9531c162c6
diff --git a/x11-apps/radeon-profile/radeon-profile-20200504.ebuild b/x11-apps/radeon-profile/radeon-profile-20200504.ebuild
new file mode 100644
index 00000000000..830f17504e3
--- /dev/null
+++ b/x11-apps/radeon-profile/radeon-profile-20200504.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit qmake-utils
+
+DESCRIPTION="Read current clocks of ATi/AMD Radeon cards"
+HOMEPAGE="https://github.com/marazmista/radeon-profile"
+if [[ "${PV}" == 99999999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/marazmista/radeon-profile.git"
+else
+ SRC_URI="https://github.com/marazmista/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE=""
+
+S="${WORKDIR}/${P}/${PN}"
+
+RDEPEND="
+ dev-qt/qtcharts:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ x11-libs/libX11
+ x11-libs/libXrandr
+"
+
+DEPEND="
+ ${RDEPEND}
+ dev-qt/qtconcurrent:5
+ media-libs/mesa[X(+)]
+ x11-libs/libdrm
+"
+
+src_prepare() {
+ default
+ sed 's@TrayIcon;@@' -i extra/${PN}.desktop || die
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+}
+
+pkg_postinst() {
+ elog "In order to run ${PN} as non-root user, the"
+ elog " x11-apps/radeon-profile-daemon"
+ elog "package needs to be installed and the daemon must run."
+}
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-apps/radeon-profile/
@ 2020-07-08 15:07 Lars Wendler
0 siblings, 0 replies; 11+ messages in thread
From: Lars Wendler @ 2020-07-08 15:07 UTC (permalink / raw
To: gentoo-commits
commit: 788ea008a9f30e16262effcf9c4c22bb204e0294
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 8 15:05:12 2020 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Jul 8 15:07:51 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=788ea008
x11-apps/radeon-profile: Synced live ebuild
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
x11-apps/radeon-profile/radeon-profile-99999999.ebuild | 10 ++++++++--
1 file changed, 8 insertions(+), 2 deletions(-)
diff --git a/x11-apps/radeon-profile/radeon-profile-99999999.ebuild b/x11-apps/radeon-profile/radeon-profile-99999999.ebuild
index ad6e34fec99..d836b3ad1f8 100644
--- a/x11-apps/radeon-profile/radeon-profile-99999999.ebuild
+++ b/x11-apps/radeon-profile/radeon-profile-99999999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -22,6 +22,7 @@ IUSE=""
S="${WORKDIR}/${P}/${PN}"
RDEPEND="
+ !<x11-apps/radeon-profile-daemon-20190603-r1
dev-qt/qtcharts:5
dev-qt/qtcore:5
dev-qt/qtgui:5
@@ -38,8 +39,13 @@ DEPEND="
x11-libs/libdrm
"
+PATCHES=(
+ "${FILESDIR}/${PN}-20200504-run_subdir.patch"
+)
+
src_prepare() {
- default
+ eapply -p2 "${PATCHES[@]}"
+ eapply_user
sed 's@TrayIcon;@@' -i extra/${PN}.desktop || die
}
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-apps/radeon-profile/
@ 2020-07-08 15:07 Lars Wendler
0 siblings, 0 replies; 11+ messages in thread
From: Lars Wendler @ 2020-07-08 15:07 UTC (permalink / raw
To: gentoo-commits
commit: bb81bd8775fe330724e02ae52c42b0d3e0c7d092
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 8 15:05:56 2020 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Jul 8 15:07:52 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb81bd87
x11-apps/radeon-profile: Removed old
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
x11-apps/radeon-profile/Manifest | 1 -
.../radeon-profile/radeon-profile-20190903.ebuild | 58 ----------------------
2 files changed, 59 deletions(-)
diff --git a/x11-apps/radeon-profile/Manifest b/x11-apps/radeon-profile/Manifest
index eb21785040b..a328f14c44c 100644
--- a/x11-apps/radeon-profile/Manifest
+++ b/x11-apps/radeon-profile/Manifest
@@ -1,2 +1 @@
-DIST radeon-profile-20190903.tar.gz 383822 BLAKE2B d6551bb8e504147104a106cd2f1b4e5115d650d70b77e89e95f1915ba2d59bcda5b0d726260f905f953596cd673d61bcc9b563ddff0147edf981bec40d5ff2e2 SHA512 8417ddb53fb31cd753c8b7adf42390220eba401e424eff6ea82b8535832ddf9e7f59cb9083d51a003f0453ebdf91a594fbadfd37da1c47b7b0e87447e1f600f3
DIST radeon-profile-20200504.tar.gz 395674 BLAKE2B 6435dfcf9d2ce25789f429f12071cdb1c3f85050654b7fdec45c51a59d562d60369b28cfcd2854dfd5841e4af8f9166afed266e0a48d9010619972b653e0d4a8 SHA512 73f7eb59369af57aba5f067202fb1f772e48260c42ad194876926c29d278022daa86235f8d591bc763b8c6d80682553fe9a55f848137a8ec1de1bf9531c162c6
diff --git a/x11-apps/radeon-profile/radeon-profile-20190903.ebuild b/x11-apps/radeon-profile/radeon-profile-20190903.ebuild
deleted file mode 100644
index ad6e34fec99..00000000000
--- a/x11-apps/radeon-profile/radeon-profile-20190903.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit qmake-utils
-
-DESCRIPTION="Read current clocks of ATi/AMD Radeon cards"
-HOMEPAGE="https://github.com/marazmista/radeon-profile"
-if [[ "${PV}" == 99999999 ]] ; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/marazmista/radeon-profile.git"
-else
- SRC_URI="https://github.com/marazmista/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~x86"
-fi
-LICENSE="GPL-2"
-SLOT="0"
-
-IUSE=""
-
-S="${WORKDIR}/${P}/${PN}"
-
-RDEPEND="
- dev-qt/qtcharts:5
- dev-qt/qtcore:5
- dev-qt/qtgui:5
- dev-qt/qtnetwork:5
- dev-qt/qtwidgets:5
- x11-libs/libX11
- x11-libs/libXrandr
-"
-
-DEPEND="
- ${RDEPEND}
- dev-qt/qtconcurrent:5
- media-libs/mesa[X(+)]
- x11-libs/libdrm
-"
-
-src_prepare() {
- default
- sed 's@TrayIcon;@@' -i extra/${PN}.desktop || die
-}
-
-src_configure() {
- eqmake5
-}
-
-src_install() {
- emake INSTALL_ROOT="${D}" install
-}
-
-pkg_postinst() {
- elog "In order to run ${PN} as non-root user, the"
- elog " x11-apps/radeon-profile-daemon"
- elog "package needs to be installed and the daemon must run."
-}
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-apps/radeon-profile/
@ 2020-08-26 15:21 Thomas Deutschmann
0 siblings, 0 replies; 11+ messages in thread
From: Thomas Deutschmann @ 2020-08-26 15:21 UTC (permalink / raw
To: gentoo-commits
commit: e4d117192dda3135b1260f7d48257b00a724b414
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 26 13:48:13 2020 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Wed Aug 26 15:21:35 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4d11719
x11-apps/radeon-profile: bump to v20200824
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
x11-apps/radeon-profile/Manifest | 1 +
.../radeon-profile/radeon-profile-20200824.ebuild | 64 ++++++++++++++++++++++
2 files changed, 65 insertions(+)
diff --git a/x11-apps/radeon-profile/Manifest b/x11-apps/radeon-profile/Manifest
index a328f14c44c..99d2ded170c 100644
--- a/x11-apps/radeon-profile/Manifest
+++ b/x11-apps/radeon-profile/Manifest
@@ -1 +1,2 @@
DIST radeon-profile-20200504.tar.gz 395674 BLAKE2B 6435dfcf9d2ce25789f429f12071cdb1c3f85050654b7fdec45c51a59d562d60369b28cfcd2854dfd5841e4af8f9166afed266e0a48d9010619972b653e0d4a8 SHA512 73f7eb59369af57aba5f067202fb1f772e48260c42ad194876926c29d278022daa86235f8d591bc763b8c6d80682553fe9a55f848137a8ec1de1bf9531c162c6
+DIST radeon-profile-20200824.tar.gz 395416 BLAKE2B 0f1b9ac59c1e5da97cc0446d32f1fab6435d9049a5dc362d5896849e580382ede745e1759aef3ba659dec0f8f2ae12bb68f0f65313d24f9e3f4cdfa6f7d4887e SHA512 e3e9cf9aa46f81772406f7dc18a3768777b9f2ccdcda18094862183b31857099bf22e2a8b548ade5dedd04a38c8eab7a31127db3b7726adc901c7123a47f81de
diff --git a/x11-apps/radeon-profile/radeon-profile-20200824.ebuild b/x11-apps/radeon-profile/radeon-profile-20200824.ebuild
new file mode 100644
index 00000000000..d836b3ad1f8
--- /dev/null
+++ b/x11-apps/radeon-profile/radeon-profile-20200824.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit qmake-utils
+
+DESCRIPTION="Read current clocks of ATi/AMD Radeon cards"
+HOMEPAGE="https://github.com/marazmista/radeon-profile"
+if [[ "${PV}" == 99999999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/marazmista/radeon-profile.git"
+else
+ SRC_URI="https://github.com/marazmista/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE=""
+
+S="${WORKDIR}/${P}/${PN}"
+
+RDEPEND="
+ !<x11-apps/radeon-profile-daemon-20190603-r1
+ dev-qt/qtcharts:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ x11-libs/libX11
+ x11-libs/libXrandr
+"
+
+DEPEND="
+ ${RDEPEND}
+ dev-qt/qtconcurrent:5
+ media-libs/mesa[X(+)]
+ x11-libs/libdrm
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-20200504-run_subdir.patch"
+)
+
+src_prepare() {
+ eapply -p2 "${PATCHES[@]}"
+ eapply_user
+ sed 's@TrayIcon;@@' -i extra/${PN}.desktop || die
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+}
+
+pkg_postinst() {
+ elog "In order to run ${PN} as non-root user, the"
+ elog " x11-apps/radeon-profile-daemon"
+ elog "package needs to be installed and the daemon must run."
+}
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-apps/radeon-profile/
@ 2021-01-04 1:25 Lars Wendler
0 siblings, 0 replies; 11+ messages in thread
From: Lars Wendler @ 2021-01-04 1:25 UTC (permalink / raw
To: gentoo-commits
commit: f5305401408bceef6e9d309f4516460d8f603521
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 4 01:23:33 2021 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Jan 4 01:25:35 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f5305401
x11-apps/radeon-profile: Removed old
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
x11-apps/radeon-profile/Manifest | 1 -
.../radeon-profile-20200504-r1.ebuild | 64 ----------------------
2 files changed, 65 deletions(-)
diff --git a/x11-apps/radeon-profile/Manifest b/x11-apps/radeon-profile/Manifest
index 99d2ded170c..46e512d14a6 100644
--- a/x11-apps/radeon-profile/Manifest
+++ b/x11-apps/radeon-profile/Manifest
@@ -1,2 +1 @@
-DIST radeon-profile-20200504.tar.gz 395674 BLAKE2B 6435dfcf9d2ce25789f429f12071cdb1c3f85050654b7fdec45c51a59d562d60369b28cfcd2854dfd5841e4af8f9166afed266e0a48d9010619972b653e0d4a8 SHA512 73f7eb59369af57aba5f067202fb1f772e48260c42ad194876926c29d278022daa86235f8d591bc763b8c6d80682553fe9a55f848137a8ec1de1bf9531c162c6
DIST radeon-profile-20200824.tar.gz 395416 BLAKE2B 0f1b9ac59c1e5da97cc0446d32f1fab6435d9049a5dc362d5896849e580382ede745e1759aef3ba659dec0f8f2ae12bb68f0f65313d24f9e3f4cdfa6f7d4887e SHA512 e3e9cf9aa46f81772406f7dc18a3768777b9f2ccdcda18094862183b31857099bf22e2a8b548ade5dedd04a38c8eab7a31127db3b7726adc901c7123a47f81de
diff --git a/x11-apps/radeon-profile/radeon-profile-20200504-r1.ebuild b/x11-apps/radeon-profile/radeon-profile-20200504-r1.ebuild
deleted file mode 100644
index d836b3ad1f8..00000000000
--- a/x11-apps/radeon-profile/radeon-profile-20200504-r1.ebuild
+++ /dev/null
@@ -1,64 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit qmake-utils
-
-DESCRIPTION="Read current clocks of ATi/AMD Radeon cards"
-HOMEPAGE="https://github.com/marazmista/radeon-profile"
-if [[ "${PV}" == 99999999 ]] ; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/marazmista/radeon-profile.git"
-else
- SRC_URI="https://github.com/marazmista/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~x86"
-fi
-LICENSE="GPL-2"
-SLOT="0"
-
-IUSE=""
-
-S="${WORKDIR}/${P}/${PN}"
-
-RDEPEND="
- !<x11-apps/radeon-profile-daemon-20190603-r1
- dev-qt/qtcharts:5
- dev-qt/qtcore:5
- dev-qt/qtgui:5
- dev-qt/qtnetwork:5
- dev-qt/qtwidgets:5
- x11-libs/libX11
- x11-libs/libXrandr
-"
-
-DEPEND="
- ${RDEPEND}
- dev-qt/qtconcurrent:5
- media-libs/mesa[X(+)]
- x11-libs/libdrm
-"
-
-PATCHES=(
- "${FILESDIR}/${PN}-20200504-run_subdir.patch"
-)
-
-src_prepare() {
- eapply -p2 "${PATCHES[@]}"
- eapply_user
- sed 's@TrayIcon;@@' -i extra/${PN}.desktop || die
-}
-
-src_configure() {
- eqmake5
-}
-
-src_install() {
- emake INSTALL_ROOT="${D}" install
-}
-
-pkg_postinst() {
- elog "In order to run ${PN} as non-root user, the"
- elog " x11-apps/radeon-profile-daemon"
- elog "package needs to be installed and the daemon must run."
-}
^ permalink raw reply related [flat|nested] 11+ messages in thread
end of thread, other threads:[~2021-01-04 1:25 UTC | newest]
Thread overview: 11+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-07-08 15:07 [gentoo-commits] repo/gentoo:master commit in: x11-apps/radeon-profile/ Lars Wendler
-- strict thread matches above, loose matches on Subject: below --
2021-01-04 1:25 Lars Wendler
2020-08-26 15:21 Thomas Deutschmann
2020-07-08 15:07 Lars Wendler
2020-05-06 8:22 Lars Wendler
2020-05-06 8:22 Lars Wendler
2019-10-16 10:54 Lars Wendler
2019-10-16 10:54 Lars Wendler
2019-06-13 14:27 Lars Wendler
2019-05-10 15:53 Lars Wendler
2019-04-20 13:08 Lars Wendler
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox